Summary: Development package for building Applications that use numa
Name: numactl
Version: 2.0.9
Release: r0.0
License: GPL-2.0 & LGPL-2.1
Group: apps
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libnuma.so.1(libnuma_1.1)(64bit)
Requires: librt.so.1(GLIBC_2.2.5)(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: perl
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: libc.so.6()(64bit)
Requires: libnuma.so.1(libnuma_1.2)(64bit)
Requires: libnuma.so.1(libnuma_1.4)(64bit)
Requires: libnuma.so.1()(64bit)
Requires: libnuma.so.1(libnuma_1.3)(64bit)
Requires: librt.so.1()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libnuma.so.1(libnuma_1.1)(64bit)
Requires(post): librt.so.1(GLIBC_2.2.5)(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+19
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): perl
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libnuma.so.1(libnuma_1.2)(64bit)
Requires(post): libnuma.so.1(libnuma_1.4)(64bit)
Requires(post): libnuma.so.1()(64bit)
Requires(post): libnuma.so.1(libnuma_1.3)(64bit)
Requires(post): librt.so.1()(64bit)
Provides: elf(buildid) = 2c44aa6ef929bde497e7634024c475e2757347b3
Provides: elf(buildid) = 3b093cc2305ccc6edc9c5ae3e4aaebf7de9625a3
Provides: elf(buildid) = 9c6ed5d9062d3091f112ff0d302db526fd284657
Provides: elf(buildid) = 457e89ea8c60b3ca15c3fd274388fb35c79b3c89
Provides: elf(buildid) = 095801ddf9aec04bc732ba088c01f71a97dc7ec5
Provides: elf(buildid) = 75afb2faa0afbadca527a0a0598bea4c14f0e568
Provides: elf(buildid) = 54f593283b34b046e9e12f70ba16bd6c90e22394
Provides: libnuma.so.1()(64bit)
Provides: libnuma.so.1(libnuma_1.2)(64bit)
Provides: libnuma.so.1(libnuma_1.4)(64bit)
Provides: libnuma.so.1(libnuma_1.1)(64bit)
Provides: libnuma.so.1(libnuma_1.3)(64bit)

%description
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%package -n numactl-dbg
Summary: Development package for building Applications that use numa - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: numactl = 2.0.9-r0.0

%description -n numactl-dbg
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n numactl-staticdev
Summary: Development package for building Applications that use numa - Development files (Static Libraries)
Group: devel
Requires: numactl-dev = 2.0.9-r0.0

%description -n numactl-staticdev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains static libraries for
software development.

%package -n numactl-dev
Summary: Development package for building Applications that use numa - Development files
Group: devel
Requires: numactl = 2.0.9-r0.0
Suggests: perl-dev
Suggests: libc6-dev

%description -n numactl-dev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n numactl-doc
Summary: Development package for building Applications that use numa - Documentation files
Group: doc

%description -n numactl-doc
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains documentation.

%package -n numactl-locale
Summary: Development package for building Applications that use numa
Group: apps

%description -n numactl-locale
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%post
# numactl - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/lib64"
"/usr/bin/numademo"
"/usr/bin/memhog"
"/usr/bin/migratepages"
"/usr/bin/numactl"
"/usr/bin/migspeed"
"/usr/bin/numastat"
"/usr/lib64/libnuma.so.1"

%files -n numactl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/numactl"
%dir "/usr/src/debug/numactl/2.0.9-r0"
%dir "/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numaif.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/syscall.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/mt.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/clearcache.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/sysfs.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numa.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/mt.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/shm.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/affinity.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/migspeed.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/shm.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/util.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/distance.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/util.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/migratepages.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numaint.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/affinity.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/rtnetlink.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/stream_lib.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numademo.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numactl.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/bitops.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/rtnetlink.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/stream_lib.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/sysfs.h"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/bitops.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/memhog.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/clearcache.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/numastat.c"
"/usr/src/debug/numactl/2.0.9-r0/numactl-2.0.9/libnuma.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/numademo"
"/usr/bin/.debug/memhog"
"/usr/bin/.debug/migratepages"
"/usr/bin/.debug/numactl"
"/usr/bin/.debug/migspeed"
"/usr/bin/.debug/numastat"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libnuma.so.1"

%files -n numactl-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libnuma.a"

%files -n numactl-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
"/usr/include/numaif.h"
"/usr/include/numa.h"
"/usr/include/numacompat1.h"
"/usr/lib64/libnuma.so"

%files -n numactl-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man3"
"/usr/share/man/man8/migratepages.8"
"/usr/share/man/man8/migspeed.8"
"/usr/share/man/man8/numastat.8"
"/usr/share/man/man8/numactl.8"
"/usr/share/man/man3/numa.3"

